Subject: Re: [PATCH] t1092: use GIT_PROGRESS_DELAY for consistent results

From: Taylor Blau <[email-masked]>
Date: Tue, 25 May 2021 11:10:57 -0400

On Tue, May 25, 2021 at 11:54:56AM +0900, Junio C Hamano wrote:
> Stepping back a bit, this is an unattended test---why do we even see
> progress meters?  Are we forcing the output to tty somehow in our
> tests, or do some codepaths forget to ask isatty() when the command
> line does not say --progress or --no-progress?

I found this while responding to Randall (who is observing the same
problem in another thread):

  https://lore.kernel.org/git/[email-masked]/

Thanks,
Taylor